#!/bin/dash

# $SCRIPTDIR/cluster-start.sh
# Start all qmail-related services on this host as cleanly as possible.
# 
# Note: Eventually, "roles" will be defined in /etc/sysconfig/vpopmail
#       but fow now, nothing...
# 

[ "$CLUSTERSERVICES" ] || CLUSTERSERVICES="clamd freshclam qmail courier-authlib courier-imap httpd"

# Load this installation's configuration
if [ -z "$VPOPMAILHOME" ]; then
   if [ -r /etc/sysconfig/vpopmail ]; then
	. /etc/sysconfig/vpopmail
   else
	echo "$0: Unable to read /etc/sysconfig/vpopmail"
	exit 1
   fi
fi


# Bring services up nicely
  for THISSERVICE in $CLUSTERSERVICES
  do
     /sbin/service "$THISSERVICE" start >/dev/null
  done
